package roseindia.net;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.SQLException;

public class JDBCPreparedStatementExample {
	Connection connection = null;

	public JDBCPreparedStatementExample() {
		try {
			// Loading the driver
			Class.forName("com.mysql.jdbc.Driver");
		} catch (ClassNotFoundException e) {
			System.out.println(e.toString());
		}
	}

	public Connection createConnection() {
		Connection con = null;
		if (connection != null) {
			System.out.println("Cant create a connection");
		} else {
			try {
				// Crating a Connection to the Student database
				con = DriverManager.getConnection(
						"jdbc:mysql://localhost:3306/student", "root",
						"root");
				System.out.println("Connection created Successfully");
			} catch (SQLException e) {
				System.out.println(e.toString());
			}
		}
		return con;
	}

	public static void main(String[] args) throws SQLException {
		JDBCPreparedStatementExample jdbccOnnectionExample = new JDBCPreparedStatementExample();
		Connection conn = jdbccOnnectionExample.createConnection();
		// Creating a Statement reference variable
		PreparedStatement ptmt = null;
		// getting the connection reference to the Statement
		String queryString = "UPDATE student SET Name=? WHERE RollNo=?";
		// getting reference of connection
		ptmt = conn.prepareStatement(queryString);
		// setting parameters to prepared statement
		ptmt.setString(1, "John");
		ptmt.setInt(2, 2);
		// Executing query
		ptmt.executeUpdate();
		System.out
				.println("Table Updated successfully Using prepared statement............");
		ptmt.close();
		conn.close();
	}
}